package health_test

import (
	"context"
	"testing"
	"time"

	"github.com/fiskerinc/cloud-services/pkg/health"
	"github.com/fiskerinc/cloud-services/pkg/testhelper"
)

func TestHTTPCheck(t *testing.T) {
	check := health.NewHTTPCheck(health.HTTPConfig{
		URL:            "http://0.0.0.0:9876",
		RequestTimeout: time.Second,
	})

	err := check(context.Background())
	testhelper.Error(t, "has error", err)
}
